View Issue Details

IDProjectCategoryView StatusLast Update
0010028LazarusLCLpublic2009-09-18 11:33
ReporterValdas Jankūnas Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformASUS A8N-SLI + AMD64 3000+OSWindows XP Pro SP2 32bit 
Product Version0.9.23 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0010028: Visual position update issue of Bar of Scrollbars of TScrollBox
Description On form dinamicaly created TScrollBox, it bounds set to [left, top, right, bottom], both srollbars range set to 3000.

 When scrolling scrollbox with mouse wheel, or when pressing on scrollbar (not on bar) to 'auto scroll', or try scroll scrollbar by pressing on it arrows scrollbars bar position not updated visually.

 Test app "Test.zip" attached.
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0007321 closedZeljan Rikalo ScrollBars in a scrollBox 

Activities

2007-10-27 14:51

 

Test.zip (4,026 bytes)

Valdas Jankūnas

2007-10-27 14:54

reporter   ~0015780

I think 0007321 maybe is related to this.

Paul Ishenin

2009-09-13 13:38

manager   ~0030693

I don't see any bugs at moment. Maybe already fixed? Please retest.

Valdas Jankūnas

2009-09-17 20:29

reporter   ~0030800

Tested on Kubuntu 9.04 with Lazarus svn 21750: OK
Tested on WinXP SP3 (on VirtualBox) with Lazarus snapshot Lazarus-0.9.29-21740-fpc-2.2.4-20090917-win32: OK

Bug gone, can be closed

Paul Ishenin

2009-09-18 02:37

manager   ~0030802

Ok, then close it.

Issue History

Date Modified Username Field Change
2007-10-27 14:51 Valdas Jankūnas New Issue
2007-10-27 14:51 Valdas Jankūnas File Added: Test.zip
2007-10-27 14:51 Valdas Jankūnas Widgetset => Win32
2007-10-27 14:54 Valdas Jankūnas Note Added: 0015780
2007-10-29 11:28 Vincent Snijders Relationship added related to 0007321
2007-10-29 11:29 Vincent Snijders LazTarget => 1.0
2007-10-29 11:29 Vincent Snijders Assigned To => Paul Ishenin
2007-10-29 11:29 Vincent Snijders Status new => assigned
2007-11-18 10:45 Paul Ishenin Assigned To Paul Ishenin => Mattias Gaertner
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-09-13 13:38 Paul Ishenin Note Added: 0030693
2009-09-13 13:38 Paul Ishenin Status assigned => feedback
2009-09-17 20:29 Valdas Jankūnas Note Added: 0030800
2009-09-18 02:37 Paul Ishenin Status feedback => resolved
2009-09-18 02:37 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-18 02:37 Paul Ishenin Resolution open => fixed
2009-09-18 02:37 Paul Ishenin Note Added: 0030802
2009-09-18 11:33 Valdas Jankūnas Status resolved => closed